# google-maps-api-react-map package

<a href="https://www.npmjs.com/package/google-maps-api-react-map">
  <img alt="npm version" src="https://img.shields.io/npm/v/google-maps-api-react-map"/>
</a>

This library is the root library for using components from the google-maps-api-react ecosystem in our code. The **MapsApiProvider** component provides child components with access to [Google Maps JavaScript API](https://developers.google.com/maps/documentation/javascript). 


**google-maps-api-react-map** provides very simple bindings to the google maps api and lets you use it in your app as React components.
> [!IMPORTANT]
> **This library requires React v16.8 or later.** 

## Installation

```bash
npm install --save google-maps-api-react-map 
```
 or
 ```bash
yarn add google-maps-api-react-map
```

## General Usage

importing the **MapsApiProvider** component from the library

```javascript
import { MapsApiProvider } from "google-maps-api-react-provider";
```
and now we can wrap our components from the ecosystem **google-maps-api-react**

```javascript
return (
    <MapsApiProvider apiKey = " your google maps api key ">
      {/* 
        any other components. Now any nested component will have access to the google maps api
       */}
    </MapsApiProvider>
  );

  ```
 ## Next.js
> [!IMPORTANT]
> **To use the library in a Next.js project, you need to make the component client-side.** 
